Skip to main content
GET
/
api
/
arena
/
trades
cURL
curl --request GET \
  --url https://api.production.hyperoru.com/api/arena/trades \
  --header 'Authorization: Bearer <token>'
{
  "dimension": "<string>",
  "filters": {},
  "items": [
    {
      "account_id": 123,
      "commission": 123,
      "id": 123,
      "price": 123,
      "quantity": 123,
      "side": "<string>",
      "symbol": "<string>",
      "name": "<string>",
      "trade_time": "<string>"
    }
  ],
  "limit": 123,
  "tag_filter": "<string>"
}

Authorizations

Authorization
string
header
required

Session token issued by POST /api/users/login, transported as Authorization: Bearer <token>.

Response

Arena completed trades feed

GET /api/analytics/trades response.

dimension
string
required
filters
object
required
items
object[]
required
limit
integer<int64>
required
tag_filter
string | null